You are not logged in.

#1 2021-05-29 17:09:32

TheGassyNinja
Member
Registered: 2021-05-29
Posts: 5

[Solved] makepkg failure in build - edex-ui

I'm a Arch newb but have used Linux for a few years. I was looking for a cool Terminal UI to run on my third monitor and found edex.

After cloning from AUR I am getting an error while running makepkg -s

der-lib/electron-osx-sign/util.js:135:22)
==> ERROR: A failure occurred in build().
    Aborting...


Where can I find more info on this error and is anyone else having the same issue?

Last edited by TheGassyNinja (2021-05-31 16:30:21)

Offline

#2 2021-05-29 17:31:30

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,634

Re: [Solved] makepkg failure in build - edex-ui

Think you could post less information? </sarcasm>

Seriously, you want help with an error, but left out the actual error.

Offline

#3 2021-05-29 17:37:27

loqs
Member
Registered: 2014-03-06
Posts: 13,862

Re: [Solved] makepkg failure in build - edex-ui

edex-ui-2.2.7-1-x86_64-build.log from this system which builds without issue:

npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
npm WARN deprecated node-pre-gyp@0.11.0: Please upgrade to @mapbox/node-pre-gyp: the non-scoped node-pre-gyp package is deprecated and only the @mapbox scoped package will recieve updates in the future
npm WARN deprecated har-validator@5.1.5: this library is no longer supported

added 417 packages, and audited 418 packages in 16s

31 packages are looking for funding
  run `npm fund` for details

3 vulnerabilities (2 low, 1 high)

To address all issues, run:
  npm audit fix

Run `npm audit` for details.

> edex-ui@2.2.7 prebuild-linux
> rsync -a --info=progress2 src/ prebuild-src --exclude node_modules && node prebuild-minify.js && cd prebuild-src && npm install


            118   0%    0.00kB/s    0:00:00  
            118   0%    0.00kB/s    0:00:00 (xfr#1, to-chk=113/115)
         13,136   0%   12.41MB/s    0:00:00 (xfr#2, to-chk=112/115)
         15,508   0%   14.68MB/s    0:00:00 (xfr#3, to-chk=111/115)
         61,544   0%   58.58MB/s    0:00:00 (xfr#4, to-chk=110/115)
        126,671   1%  120.69MB/s    0:00:00 (xfr#5, to-chk=109/115)
        127,950   1%  121.91MB/s    0:00:00 (xfr#6, to-chk=108/115)
        131,373   1%  125.17MB/s    0:00:00 (xfr#7, to-chk=107/115)
        237,599   2%  226.48MB/s    0:00:00 (xfr#8, to-chk=96/115) 
        343,827   3%  327.79MB/s    0:00:00 (xfr#9, to-chk=95/115)
        502,973   5%  479.56MB/s    0:00:00 (xfr#10, to-chk=94/115)
        730,875   8%  696.90MB/s    0:00:00 (xfr#11, to-chk=93/115)
        747,335   8%  712.60MB/s    0:00:00 (xfr#12, to-chk=92/115)
        853,563   9%  813.91MB/s    0:00:00 (xfr#13, to-chk=91/115)
        959,805  10%  915.23MB/s    0:00:00 (xfr#14, to-chk=90/115)
      1,178,039  13%    1.10GB/s    0:00:00 (xfr#15, to-chk=89/115)
      1,273,223  14%    1.19GB/s    0:00:00 (xfr#16, to-chk=88/115)
      1,855,739  20%    1.73GB/s    0:00:00 (xfr#17, to-chk=87/115)
      1,874,477  21%    1.75GB/s    0:00:00 (xfr#18, to-chk=86/115)
      1,882,121  21%    1.75GB/s    0:00:00 (xfr#19, to-chk=85/115)
      2,412,471  27%    1.12GB/s    0:00:00 (xfr#20, to-chk=84/115)
      2,415,054  27%    1.12GB/s    0:00:00 (xfr#21, to-chk=83/115)
      2,419,574  27%    1.13GB/s    0:00:00 (xfr#22, to-chk=82/115)
      2,426,207  27%    1.13GB/s    0:00:00 (xfr#23, to-chk=81/115)
      2,433,799  27%    1.13GB/s    0:00:00 (xfr#24, to-chk=80/115)
      2,435,694  27%    1.13GB/s    0:00:00 (xfr#25, to-chk=79/115)
      2,440,042  27%    1.14GB/s    0:00:00 (xfr#26, to-chk=78/115)
      2,442,050  27%    1.14GB/s    0:00:00 (xfr#27, to-chk=77/115)
      2,443,082  27%    1.14GB/s    0:00:00 (xfr#28, to-chk=76/115)
      2,444,203  27%    1.14GB/s    0:00:00 (xfr#29, to-chk=75/115)
      2,446,289  27%    1.14GB/s    0:00:00 (xfr#30, to-chk=74/115)
      2,448,724  27%    1.14GB/s    0:00:00 (xfr#31, to-chk=73/115)
      2,449,745  27%    1.14GB/s    0:00:00 (xfr#32, to-chk=72/115)
      2,451,489  27%    1.14GB/s    0:00:00 (xfr#33, to-chk=71/115)
      2,452,632  27%    1.14GB/s    0:00:00 (xfr#34, to-chk=70/115)
      2,454,307  27%    1.14GB/s    0:00:00 (xfr#35, to-chk=69/115)
      2,455,152  27%    1.14GB/s    0:00:00 (xfr#36, to-chk=68/115)
      2,458,002  27%    1.14GB/s    0:00:00 (xfr#37, to-chk=67/115)
      2,459,081  27%    1.15GB/s    0:00:00 (xfr#38, to-chk=66/115)
      2,460,652  27%    1.15GB/s    0:00:00 (xfr#39, to-chk=65/115)
      2,466,470  27%    1.15GB/s    0:00:00 (xfr#40, to-chk=64/115)
      2,549,270  28%    1.19GB/s    0:00:00 (xfr#41, to-chk=63/115)
      2,938,970  33%    1.37GB/s    0:00:00 (xfr#42, to-chk=62/115)
      2,964,982  33%    1.38GB/s    0:00:00 (xfr#43, to-chk=61/115)
      2,985,830  33%    1.39GB/s    0:00:00 (xfr#44, to-chk=60/115)
      6,197,378  70%    1.44GB/s    0:00:00 (xfr#45, to-chk=59/115)
      6,347,430  71%    1.48GB/s    0:00:00 (xfr#46, to-chk=58/115)
      6,358,550  71%    1.48GB/s    0:00:00 (xfr#47, to-chk=57/115)
      6,369,267  72%    1.48GB/s    0:00:00 (xfr#48, to-chk=56/115)
      6,380,052  72%    1.49GB/s    0:00:00 (xfr#49, to-chk=55/115)
      6,390,818  72%    1.49GB/s    0:00:00 (xfr#50, to-chk=54/115)
      6,399,617  72%    1.49GB/s    0:00:00 (xfr#51, to-chk=53/115)
      6,410,391  72%    1.49GB/s    0:00:00 (xfr#52, to-chk=52/115)
      6,421,164  72%    1.50GB/s    0:00:00 (xfr#53, to-chk=51/115)
      6,431,936  72%    1.50GB/s    0:00:00 (xfr#54, to-chk=50/115)
      6,443,110  72%    1.50GB/s    0:00:00 (xfr#55, to-chk=49/115)
      6,454,237  72%    1.50GB/s    0:00:00 (xfr#56, to-chk=48/115)
      6,468,844  73%    1.51GB/s    0:00:00 (xfr#57, to-chk=47/115)
      6,480,201  73%    1.51GB/s    0:00:00 (xfr#58, to-chk=46/115)
      6,488,848  73%    1.51GB/s    0:00:00 (xfr#59, to-chk=45/115)
      6,500,039  73%    1.51GB/s    0:00:00 (xfr#60, to-chk=44/115)
      6,508,920  73%    1.52GB/s    0:00:00 (xfr#61, to-chk=43/115)
      6,519,962  73%    1.52GB/s    0:00:00 (xfr#62, to-chk=42/115)
      6,531,129  73%    1.52GB/s    0:00:00 (xfr#63, to-chk=41/115)
      6,535,334  73%    1.52GB/s    0:00:00 (xfr#64, to-chk=40/115)
      6,683,540  75%    1.56GB/s    0:00:00 (xfr#65, to-chk=39/115)
      7,645,335  86%    1.42GB/s    0:00:00 (xfr#66, to-chk=38/115)
      7,646,172  86%    1.42GB/s    0:00:00 (xfr#67, to-chk=37/115)
      7,646,856  86%    1.42GB/s    0:00:00 (xfr#68, to-chk=36/115)
      7,647,540  86%    1.42GB/s    0:00:00 (xfr#69, to-chk=35/115)
      7,648,690  86%    1.42GB/s    0:00:00 (xfr#70, to-chk=34/115)
      7,649,993  86%    1.42GB/s    0:00:00 (xfr#71, to-chk=33/115)
      7,651,143  86%    1.43GB/s    0:00:00 (xfr#72, to-chk=32/115)
      7,651,821  86%    1.43GB/s    0:00:00 (xfr#73, to-chk=31/115)
      7,652,492  86%    1.43GB/s    0:00:00 (xfr#74, to-chk=30/115)
      7,654,374  86%    1.43GB/s    0:00:00 (xfr#75, to-chk=29/115)
      7,655,676  86%    1.43GB/s    0:00:00 (xfr#76, to-chk=28/115)
      7,656,825  86%    1.43GB/s    0:00:00 (xfr#77, to-chk=27/115)
      7,657,932  86%    1.43GB/s    0:00:00 (xfr#78, to-chk=26/115)
      7,658,614  86%    1.43GB/s    0:00:00 (xfr#79, to-chk=25/115)
      7,659,413  86%    1.43GB/s    0:00:00 (xfr#80, to-chk=24/115)
      7,660,830  86%    1.43GB/s    0:00:00 (xfr#81, to-chk=23/115)
      7,661,706  86%    1.43GB/s    0:00:00 (xfr#82, to-chk=22/115)
      7,662,547  86%    1.43GB/s    0:00:00 (xfr#83, to-chk=21/115)
      7,663,314  86%    1.43GB/s    0:00:00 (xfr#84, to-chk=20/115)
      7,663,998  86%    1.43GB/s    0:00:00 (xfr#85, to-chk=19/115)
      8,661,449  97%    1.34GB/s    0:00:00 (xfr#86, to-chk=18/115)
      8,664,052  97%    1.34GB/s    0:00:00 (xfr#87, to-chk=17/115)
      8,665,789  97%    1.35GB/s    0:00:00 (xfr#88, to-chk=16/115)
      8,669,714  98%    1.35GB/s    0:00:00 (xfr#89, to-chk=15/115)
      8,676,233  98%    1.35GB/s    0:00:00 (xfr#90, to-chk=14/115)
      8,679,595  98%    1.35GB/s    0:00:00 (xfr#91, to-chk=13/115)
      8,716,737  98%    1.35GB/s    0:00:00 (xfr#92, to-chk=12/115)
      8,722,118  98%    1.35GB/s    0:00:00 (xfr#93, to-chk=11/115)
      8,723,883  98%    1.35GB/s    0:00:00 (xfr#94, to-chk=10/115)
      8,769,864  99%    1.36GB/s    0:00:00 (xfr#95, to-chk=9/115) 
      8,779,152  99%    1.36GB/s    0:00:00 (xfr#96, to-chk=8/115)
      8,786,959  99%    1.36GB/s    0:00:00 (xfr#97, to-chk=7/115)
      8,794,791  99%    1.37GB/s    0:00:00 (xfr#98, to-chk=6/115)
      8,802,565  99%    1.37GB/s    0:00:00 (xfr#99, to-chk=5/115)
      8,806,120  99%    1.37GB/s    0:00:00 (xfr#100, to-chk=4/115)
      8,810,244  99%    1.37GB/s    0:00:00 (xfr#101, to-chk=3/115)
      8,830,681  99%    1.37GB/s    0:00:00 (xfr#102, to-chk=2/115)
      8,839,857  99%    1.37GB/s    0:00:00 (xfr#103, to-chk=1/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
      8,842,753 100%    1.37GB/s    0:00:00 (xfr#104, to-chk=0/115)
.snyk...
_boot.js... -  ✓
_multithread.js... -  ✓
_renderer.js... -  ✓
assets/audio/alarm.wav...
assets/audio/denied.wav...
assets/audio/error.wav...
assets/audio/expand.wav...
assets/audio/folder.wav...
assets/audio/granted.wav...
assets/audio/info.wav...
assets/audio/keyboard.wav...
assets/audio/panels.wav...
assets/audio/scan.wav...
assets/audio/stdin.wav...
assets/audio/stdout.wav...
assets/audio/theme.wav...
assets/css/boot_screen.css... -  ✓
assets/css/extra_ratios.css... -  ✓
assets/css/filesystem.css... -  ✓
assets/css/keyboard.css... -  ✓
assets/css/main.css... -  ✓
assets/css/main_shell.css... -  ✓
assets/css/media_player.css... -  ✓
assets/css/mod_clock.css... -  ✓
assets/css/mod_column.css... -  ✓
assets/css/mod_conninfo.css... -  ✓
assets/css/mod_cpuinfo.css... -  ✓
assets/css/mod_fuzzyFinder.css... -  ✓
assets/css/mod_globe.css... -  ✓
assets/css/mod_hardwareInspector.css... -  ✓
assets/css/mod_netstat.css... -  ✓
assets/css/mod_processlist.css... -  ✓
assets/css/mod_ramwatcher.css... -  ✓
assets/css/mod_sysinfo.css... -  ✓
assets/css/mod_toplist.css... -  ✓
assets/css/modal.css... -  ✓
assets/fonts/fira_code.woff2...
assets/fonts/fira_mono.woff2...
assets/fonts/united_sans_light.woff2...
assets/fonts/united_sans_medium.woff2...
assets/icons/file-icons.json... -  ✓
assets/icons/icon.icns...
assets/misc/boot_log.txt...
assets/vendor/encom-globe.js... -  ✓
classes/audiofx.class.js... -  ✓
classes/clock.class.js... -  ✓
classes/conninfo.class.js... -  ✓
classes/cpuinfo.class.js... -  ✓
classes/docReader.class.js... -  ✓
classes/filesystem.class.js... -  ✓
classes/fuzzyFinder.class.js... -  ✓
classes/hardwareInspector.class.js... -  ✓
classes/keyboard.class.js... -  ✓
classes/locationGlobe.class.js... -  ✓
classes/mediaPlayer.class.js... -  ✓
classes/modal.class.js... -  ✓
classes/netstat.class.js... -  ✓
classes/ramwatcher.class.js... -  ✓
classes/sysinfo.class.js... -  ✓
classes/terminal.class.js... -  ✓
classes/toplist.class.js... -  ✓
classes/updateChecker.class.js... -  ✓

added 105 packages, and audited 106 packages in 3s

2 packages are looking for funding
  run `npm fund` for details

found 0 vulnerabilities
  • electron-builder  version=22.10.5 os=5.11.22-1-stable
  • loaded configuration  file=package.json ("build" field)
  • rebuilding native dependencies  dependencies=node-pty@0.10.0 platform=linux arch=x64
  • packaging       platform=linux arch=x64 electron=11.3.0 appOutDir=dist/linux-unpacked
  • Unpacking electron zip  zipPath=undefined
  • downloading     url=https://github.com/electron/electron/releases/download/v11.3.0/electron-v11.3.0-linux-x64.zip size=76 MB parts=8
  • downloaded      url=https://github.com/electron/electron/releases/download/v11.3.0/electron-v11.3.0-linux-x64.zip duration=6.759s
  • building        target=pacman arch=x64 file=dist/eDEX-UI-linux-x64.pacman
  • downloading     url=https://github.com/electron-userland/electron-builder-binaries/releases/download/fpm-1.9.3-2.3.1-linux-x86_64/fpm-1.9.3-2.3.1-linux-x86_64.7z size=5.0 MB parts=1
  • downloaded      url=https://github.com/electron-userland/electron-builder-binaries/releases/download/fpm-1.9.3-2.3.1-linux-x86_64/fpm-1.9.3-2.3.1-linux-x86_64.7z duration=999ms

> edex-ui@2.2.7 postbuild-linux
> rm -R prebuild-src

Offline

#4 2021-05-29 17:40:21

TheGassyNinja
Member
Registered: 2021-05-29
Posts: 5

Re: [Solved] makepkg failure in build - edex-ui

SIR I feel that I posted very clearly the error that the terminal returned. I also asked very clearly for where I can find more info on the error and if anyone else had the same issue

Offline

#5 2021-05-29 17:47:13

Slithery
Forum Moderator
From: Norfolk, UK
Registered: 2013-12-01
Posts: 4,609

Re: [Solved] makepkg failure in build - edex-ui

You need to post the full output of makepkg, not just a single line.


No, it didn't "fix" anything. It just shifted the brokeness one space to the right. - jasonwryan
Closing -- for deletion; Banning -- for muppetry. - jasonwryan

aur - dotfiles

Offline

#6 2021-05-29 19:10:49

TheGassyNinja
Member
Registered: 2021-05-29
Posts: 5

Re: [Solved] makepkg failure in build - edex-ui

]##--->$ makepkg -s
==> Making package: edex-ui-git 2.2.8.pre-1 (Sat 29 May 2021 02:05:40 PM CDT)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating edex-ui git repo...
Fetching origin
==> Validating source files with sha256sums...
    edex-ui ... Skipped
==> Extracting sources...
  -> Creating working copy of edex-ui git repo...
Reset branch 'makepkg'
==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...

up to date, audited 422 packages in 3s

32 packages are looking for funding
  run `npm fund` for details

found 0 vulnerabilities

> edex-ui@2.2.8-pre prebuild-linux
> rsync -a --info=progress2 src/ prebuild-src --exclude node_modules && node prebuild-minify.js && cd prebuild-src && npm install

      4,682,946  52%   32.75MB/s    0:00:00 (xfr#44, to-chk=0/118)
.snyk...
_boot.js... -  ✓
_multithread.js... -  ✓
_renderer.js... -  ✓
assets/audio/alarm.wav...
assets/audio/denied.wav...
assets/audio/error.wav...
assets/audio/expand.wav...
assets/audio/folder.wav...
assets/audio/granted.wav...
assets/audio/info.wav...
assets/audio/keyboard.wav...
assets/audio/panels.wav...
assets/audio/scan.wav...
assets/audio/stdin.wav...
assets/audio/stdout.wav...
assets/audio/theme.wav...
assets/css/boot_screen.css... -  ✓
assets/css/extra_ratios.css... -  ✓
assets/css/filesystem.css... -  ✓
assets/css/keyboard.css... -  ✓
assets/css/main.css... -  ✓
assets/css/main_shell.css... -  ✓
assets/css/media_player.css... -  ✓
assets/css/mod_clock.css... -  ✓
assets/css/mod_column.css... -  ✓
assets/css/mod_conninfo.css... -  ✓
assets/css/mod_cpuinfo.css... -  ✓
assets/css/mod_fuzzyFinder.css... -  ✓
assets/css/mod_globe.css... -  ✓
assets/css/mod_hardwareInspector.css... -  ✓
assets/css/mod_netstat.css... -  ✓
assets/css/mod_processlist.css... -  ✓
assets/css/mod_ramwatcher.css... -  ✓
assets/css/mod_sysinfo.css... -  ✓
assets/css/mod_toplist.css... -  ✓
assets/css/modal.css... -  ✓
assets/fonts/fira_code.woff2...
assets/fonts/fira_mono.woff2...
assets/fonts/united_sans_light.woff2...
assets/fonts/united_sans_medium.woff2...
assets/icons/file-icons.json... -  ✓
assets/icons/icon.icns...
assets/misc/boot_log.txt...
assets/vendor/encom-globe.js... -  ✓
classes/audiofx.class.js... -  ✓
classes/clock.class.js... -  ✓
classes/conninfo.class.js... -  ✓
classes/cpuinfo.class.js... -  ✓
classes/docReader.class.js... -  ✓
classes/filesystem.class.js... -  ✓
classes/fuzzyFinder.class.js... -  ✓
classes/hardwareInspector.class.js... -  ✓
classes/keyboard.class.js... -  ✓
classes/locationGlobe.class.js... -  ✓
classes/mediaPlayer.class.js... -  ✓
classes/modal.class.js... -  ✓
classes/netstat.class.js... -  ✓
classes/ramwatcher.class.js... -  ✓
classes/sysinfo.class.js... -  ✓
classes/terminal.class.js... -  ✓
classes/toplist.class.js... -  ✓
classes/updateChecker.class.js... -  ✓
node_modules/.bin/acorn...
node_modules/.bin/browserslist...
node_modules/.bin/electron...
node_modules/.bin/extract-zip...
node_modules/.bin/json5...
node_modules/.bin/mkdirp...
node_modules/.bin/nanoid...
node_modules/.bin/node-which...
node_modules/.bin/ot...
node_modules/.bin/rimraf...
node_modules/.bin/semver...
node_modules/.bin/systeminformation...
node_modules/.bin/terser...
node_modules/.bin/webpack...

up to date, audited 256 packages in 2s

17 packages are looking for funding
  run `npm fund` for details

found 0 vulnerabilities
  • electron-builder  version=22.10.5 os=5.10.39-1-lts
  • loaded configuration  file=package.json ("build" field)
  • writing effective config  file=dist/builder-effective-config.yaml
  • rebuilding native dependencies  dependencies=node-pty@0.10.1 platform=linux arch=x64
  • packaging       platform=linux arch=x64 electron=12.0.9 appOutDir=dist/linux-unpacked
  • Unpacking electron zip  zipPath=undefined
  ⨯ editions-autoloader-none-broadened: Unable to determine a suitable edition, even after broadening.  stackTrace=
                                                                                                          Error: editions-autoloader-none-broadened: Unable to determine a suitable edition, even after broadening.
                                                                                                              at new Errlop (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/errlop/edition-es5/index.js:61:18)
                                                                                                              at Object.errtion (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/util.js:23:14)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:317:21)
                                                                                                              at solicitEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:350:16)
                                                                                                              at Object.requirePackage (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:364:9)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/istextorbinary/index.cjs:4:38)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                              at Module.load (node:internal/modules/cjs/loader:989:32)
                                                                                                              at Function.Module._load (node:internal/modules/cjs/loader:829:14)
                                                                                                              at Module.require (node:internal/modules/cjs/loader:1013:19)
                                                                                                              at require (node:internal/modules/cjs/helpers:93:18)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/app-builder-lib/electron-osx-sign/util.js:135:22)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                              at Module.load (node:internal/modules/cjs/loader:989:32)
                                                                                                          ↳ Error: editions-autoloader-none-suitable: Unable to determine a suitable edition, as none were suitable.
                                                                                                              at new Errlop (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/errlop/edition-es5/index.js:61:18)
                                                                                                              at Object.errtion (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/util.js:23:14)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:327:19)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:312:12)
                                                                                                              at solicitEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:350:16)
                                                                                                              at Object.requirePackage (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:364:9)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/istextorbinary/index.cjs:4:38)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                              at Module.load (node:internal/modules/cjs/loader:989:32)
                                                                                                              at Function.Module._load (node:internal/modules/cjs/loader:829:14)
                                                                                                              at Module.require (node:internal/modules/cjs/loader:1013:19)
                                                                                                              at require (node:internal/modules/cjs/helpers:93:18)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/app-builder-lib/electron-osx-sign/util.js:135:22)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                          ↳ Error: editions-autoloader-edition-incompatible: editions-autoloader-edition-incompatible: The edition [TypeScript source code made to be compatible with Deno] is not compatible with this environment.
                                                                                                              at new Errlop (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/errlop/edition-es5/index.js:61:18)
                                                                                                              at Object.errtion (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/util.js:23:14)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:301:25)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:312:12)
                                                                                                              at solicitEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:350:16)
                                                                                                              at Object.requirePackage (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:364:9)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/istextorbinary/index.cjs:4:38)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                              at Module.load (node:internal/modules/cjs/loader:989:32)
                                                                                                              at Function.Module._load (node:internal/modules/cjs/loader:829:14)
                                                                                                              at Module.require (node:internal/modules/cjs/loader:1013:19)
                                                                                                              at require (node:internal/modules/cjs/helpers:93:18)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/app-builder-lib/electron-osx-sign/util.js:135:22)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                          ↳ Error: editions-autoloader-edition-incompatible: editions-autoloader-edition-incompatible: The edition [TypeScript compiled against ES2019 for Node.js 12 || 14 || 15 with Import for modules] is not compatible with this environment.
                                                                                                              at new Errlop (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/errlop/edition-es5/index.js:61:18)
                                                                                                              at Object.errtion (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/util.js:23:14)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:301:25)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:312:12)
                                                                                                              at solicitEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:350:16)
                                                                                                              at Object.requirePackage (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:364:9)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/istextorbinary/index.cjs:4:38)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                              at Module.load (node:internal/modules/cjs/loader:989:32)
                                                                                                              at Function.Module._load (node:internal/modules/cjs/loader:829:14)
                                                                                                              at Module.require (node:internal/modules/cjs/loader:1013:19)
                                                                                                              at require (node:internal/modules/cjs/helpers:93:18)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/app-builder-lib/electron-osx-sign/util.js:135:22)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                          ↳ Error: editions-autoloader-edition-incompatible: editions-autoloader-edition-incompatible: The edition [TypeScript compiled against ES2019 for Node.js 10 || 12 || 14 || 15 with Require for modules] is not compatible with this environment.
                                                                                                              at new Errlop (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/errlop/edition-es5/index.js:61:18)
                                                                                                              at Object.errtion (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/util.js:23:14)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:301:25)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:312:12)
                                                                                                              at solicitEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:350:16)
                                                                                                              at Object.requirePackage (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:364:9)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/istextorbinary/index.cjs:4:38)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                              at Module.load (node:internal/modules/cjs/loader:989:32)
                                                                                                              at Function.Module._load (node:internal/modules/cjs/loader:829:14)
                                                                                                              at Module.require (node:internal/modules/cjs/loader:1013:19)
                                                                                                              at require (node:internal/modules/cjs/helpers:93:18)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/app-builder-lib/electron-osx-sign/util.js:135:22)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                          ↳ Error: editions-autoloader-edition-incompatible: editions-autoloader-edition-incompatible: The edition [TypeScript compiled against ESNext for Node.js 14 || 15 with Require for modules] is not compatible with this environment.
                                                                                                              at new Errlop (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/errlop/edition-es5/index.js:61:18)
                                                                                                              at Object.errtion (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/util.js:23:14)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:301:25)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:312:12)
                                                                                                              at solicitEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:350:16)
                                                                                                              at Object.requirePackage (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:364:9)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/istextorbinary/index.cjs:4:38)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                              at Module.load (node:internal/modules/cjs/loader:989:32)
                                                                                                              at Function.Module._load (node:internal/modules/cjs/loader:829:14)
                                                                                                              at Module.require (node:internal/modules/cjs/loader:1013:19)
                                                                                                              at require (node:internal/modules/cjs/helpers:93:18)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/app-builder-lib/electron-osx-sign/util.js:135:22)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                          ↳ Error: editions-autoloader-edition-incompatible: editions-autoloader-edition-incompatible: The edition [TypeScript compiled against ES2019 for web browsers with Import for modules] is not compatible with this environment.
                                                                                                              at new Errlop (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/errlop/edition-es5/index.js:61:18)
                                                                                                              at Object.errtion (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/util.js:23:14)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:301:25)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:312:12)
                                                                                                              at solicitEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:350:16)
                                                                                                              at Object.requirePackage (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:364:9)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/istextorbinary/index.cjs:4:38)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                              at Module.load (node:internal/modules/cjs/loader:989:32)
                                                                                                              at Function.Module._load (node:internal/modules/cjs/loader:829:14)
                                                                                                              at Module.require (node:internal/modules/cjs/loader:1013:19)
                                                                                                              at require (node:internal/modules/cjs/helpers:93:18)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/app-builder-lib/electron-osx-sign/util.js:135:22)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                          ↳ Error: editions-autoloader-edition-incompatible: The edition [TypeScript source code with Import for modules] is not compatible with this environment.
                                                                                                              at new Errlop (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/errlop/edition-es5/index.js:61:18)
                                                                                                              at Object.errtion (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/util.js:23:14)
                                                                                                              at isCompatibleEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:252:19)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:287:4)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:312:12)
                                                                                                              at solicitEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:350:16)
                                                                                                              at Object.requirePackage (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:364:9)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/istextorbinary/index.cjs:4:38)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                              at Module.load (node:internal/modules/cjs/loader:989:32)
                                                                                                              at Function.Module._load (node:internal/modules/cjs/loader:829:14)
                                                                                                              at Module.require (node:internal/modules/cjs/loader:1013:19)
                                                                                                              at require (node:internal/modules/cjs/helpers:93:18)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/app-builder-lib/electron-osx-sign/util.js:135:22)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                          ↳ Error: editions-autoloader-invalid-engines: The edition had no engines to compare against the environment
                                                                                                              at new Errlop (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/errlop/edition-es5/index.js:61:18)
                                                                                                              at Object.errtion (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/util.js:23:14)
                                                                                                              at isCompatibleEngines (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:183:19)
                                                                                                              at isCompatibleEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:250:10)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:287:4)
                                                                                                              at determineEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:312:12)
                                                                                                              at solicitEdition (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:350:16)
                                                                                                              at Object.requirePackage (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/editions/edition-es5/index.js:364:9)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/istextorbinary/index.cjs:4:38)
                                                                                                              at Module._compile (node:internal/modules/cjs/loader:1109:14)
                                                                                                              at Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
                                                                                                              at Module.load (node:internal/modules/cjs/loader:989:32)
                                                                                                              at Function.Module._load (node:internal/modules/cjs/loader:829:14)
                                                                                                              at Module.require (node:internal/modules/cjs/loader:1013:19)
                                                                                                              at require (node:internal/modules/cjs/helpers:93:18)
                                                                                                              at Object.<anonymous> (/home/johnny5/Downloads/Compressed/edex-ui-git/src/edex-ui/node_modules/app-builder-lib/electron-osx-sign/util.js:135:22)
==> ERROR: A failure occurred in build().
    Aborting...

Offline

#7 2021-05-29 19:22:30

loqs
Member
Registered: 2014-03-06
Posts: 13,862

Re: [Solved] makepkg failure in build - edex-ui

Please use code tags.
What version of nodejs is installed?  https://github.com/electron-userland/el … ssues/5668

Offline

#8 2021-05-29 19:29:56

TheGassyNinja
Member
Registered: 2021-05-29
Posts: 5

Re: [Solved] makepkg failure in build - edex-ui

v16.2.0

Offline

#9 2021-05-29 19:35:04

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 29,598
Website

Re: [Solved] makepkg failure in build - edex-ui

Fix the post as you were asked to: https://wiki.archlinux.org/index.php/Co … s_and_code


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#10 2021-05-29 19:35:12

loqs
Member
Registered: 2014-03-06
Posts: 13,862

Re: [Solved] makepkg failure in build - edex-ui

edex-ui makedepends on nodejs-lts-erbium which supplies 12.22.0-2 and conflicts with node 16.2.0-1 to address this issue.

How did you build the package with node instead of nodejs-lts-erbium?

Also please fix your previous posts to use code tags.

Offline

#11 2021-05-29 22:25:50

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 3,697

Re: [Solved] makepkg failure in build - edex-ui

Moving to AUR issues.

Offline

#12 2021-05-29 23:04:29

loqs
Member
Registered: 2014-03-06
Posts: 13,862

Re: [Solved] makepkg failure in build - edex-ui

https://aur.archlinux.org/packages/edex-ui-git/ does not have the makedepends fix edex-ui uses.  Ask the edex-ui-git maintainer to fix the issue.  Locally changing from nodejs to  nodejs-lts-erbium should also allow the package to build.

Offline

#13 2021-05-29 23:45:36

TheGassyNinja
Member
Registered: 2021-05-29
Posts: 5

Re: [Solved] makepkg failure in build - edex-ui

First off thank you for your help EVERYONE. Downgrading node to 12.22 worked

I will read more to figure out how to properly post using code tags.

Offline

#14 2021-05-30 12:24:41

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 3,697

Re: [Solved] makepkg failure in build - edex-ui

Please remember to mark your thread [SOLVED] (edit the title of your first post).

Please also read "How to post" (linked in my signature) before you post again.

Offline

Board footer

Powered by FluxBB